Messages

Get Chat Message

Returns a single message by ID from a chat — same per-message shape as entries in [List Chat Messages](/api-reference/chats/list-chat-messages). Returns 404 when the message does not exist in this chat. Requires permission api_messages_read.

https://public-api.fansmetric.com
GET/v1/{account_id}/chats/{user_id}/messages/{message_id}
Bearer

Authorization

default
AuthorizationBearer <token>

Send your FansMetric API key as a Bearer token in the Authorization header.

In: header

Path Parameters

  • account_id*integer

    OnlyFans numeric account ID.

  • user_id*integer

    Fan/user ID of the conversation.

  • message_id*integer

    The message ID to fetch.

curl --request GET "https://public-api.fansmetric.com/v1/acct_XXXXX/chats/sample_user_id/messages/XXXXX" \
  --header "Authorization: Bearer YOUR_API_KEY"

Response

200
{
"data":{
"id":9999999999
"text":"thanks for the tip!"
"createdAt":"2026-05-30T12:00:00+00:00"
"fromUser":{
"id":12345678
}
"isFree":true
"price":0
"media":[]
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":999
"limit_day":50000
"remaining_day":49999
}
}
}